.frame-type-gkmb_textmedia_tile {
  & .grid__12[data-ce-columns="4"] {
    grid-template-columns: 1fr;
  }

  & .gallery__item {
    position: relative;
  }

  & video,
  & .gallery__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    overflow-clip-margin: unset;
    overflow: visible;
  }
}

.textmedia-tile__header {
  display: block;
}

.textmedia-tile__text {
  padding: 1rem 0 0 0;
  font-size: var(--f-size-s-1);

  & a {
    color: rgb(var(--c-neutral-darker));

    &:hover {
      color: rgb(var(--c-primary));
    }
  }
}

.frame-layout-40 {
  & .gallery__item {
    background: rgb(var(--c-neutral-lightest));
    border: 1px solid rgb(var(--c-neutral-light));

    & a {
      position: initial;
      display: block;
    }

    & picture {
      display: flex;
      height: 170px;
      justify-content: center;
      align-items: center;
      text-align: center;
      padding: 20px 30px;

      & .gallery__image {
        object-fit: contain;
      }
    }
  }
}

.frame-layout-30 {
  & .gallery__item {
    aspect-ratio: 2 / 3;
  }

  .textmedia-tile__text {
    display: grid;
    grid-template-columns: 1fr 30px;
    grid-gap: var(--g-gap-s);

    &::after {
      font-family: "FaSharpLight";
      font-size: 28px;
      content: "\f0e0";
    }
  }
}

.textmedia-tile__item {
  display: grid;
  grid-template-rows: auto 1fr;
  font-weight: var(--f-weight-n);
  text-transform: none;
  text-decoration: none;
}


/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 400px) {
  .frame-type-gkmb_textmedia_tile {
    & .grid__12[data-ce-columns="4"] {
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }
  }
}

@media (min-width: 1024px) {
  .frame-type-gkmb_textmedia_tile {
    & .grid__12[data-ce-columns="4"] {
      grid-template-columns: repeat(4, minmax(0, 1fr));
    }
  }

  .grid__col.-w20,
  .grid__col.-w25,
  .grid__col.-w30 {
    & .frame-type-gkmb_textmedia_tile {
      & .grid__12[data-ce-columns="4"] {
        grid-template-columns: 1fr;
      }
    }
  }
}